<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- This file has been generated by tj3man v3.1.0 -->
<html lang="en" xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">
 <head>
  <title>formats</title>
  <meta content="text/html; charset=utf-8" http-equiv="Content-Type"/>
  <meta content="The TaskJuggler Manual" name="description"/>
  <meta content="taskjuggler, project, management" name="keywords"/>
 </head>
 <link href="css/tjmanual.css" rel="stylesheet" type="text/css"></link>
 <body>
  <div align="center">
   <h3 align="center">The TaskJuggler User Manual</h3>
   <em align="center">Project Management beyond Gantt Chart Drawing</em>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="footer.html">footer</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="functions.html">functions</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div style="margin-left:5%; margin-right:5%">
   <p><table align="center" class="table"><tr align="left">
      <td class="tag" style="width:16%">Keyword</td>
      <td class="descr" style="width:84%; font-weight:bold">formats</td>
     </tr></table></p>
   <p><table align="center" class="table">
     <colgroup>
      <col width="16%"></col>
      <col width="24%"></col>
      <col width="60%"></col>
     </colgroup>
     <tr align="left">
      <td class="tag">Purpose</td>
      <td class="descr" colspan="2"><div>
        <p>This attribute defines for which output formats the report should be generated. By default, this list is empty. Unless a formats attribute was added to a report definition, no output will be generated for this report.</p>
        <p>As reports are composable, a report may include other report definitions. A format definition is only needed for the outermost report that includes the others.</p>
       </div></td>
     </tr>
     <tr align="left">
      <td class="tag">Syntax</td>
      <td class="descr" colspan="2"><code>formats (csv | html | niku) [, (csv | html | niku)...]</code></td>
     </tr>
     <tr align="left">
      <td class="tag" rowspan="3">Arguments</td>
      <td class="descr">csv</td>
      <td class="descr"><div>The report lists the resources and their respective values as colon-separated-value (CSV) format. Due to the very simple nature of the CSV format, only a small subset of features will be supported for CSV output. Including tasks or listing multiple scenarios will result in very difficult to read reports.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">html</td>
      <td class="descr"><div>Generate a web page (HTML file)</div></td>
     </tr>
     <tr align="left">
      <td class="descr">niku</td>
      <td class="descr"><div>Generate a XOG XML file to be used with Clarity.</div></td>
     </tr>
     <tr align="left">
      <td class="tag">Context</td>
      <td class="descr" colspan="2">
       <a href="accountreport.html">accountreport</a>, <a href="nikureport.html">nikureport</a>, <a href="resourcereport.html">resourcereport</a>, <a href="taskreport.html">taskreport</a>, <a href="textreport.html">textreport</a>
      </td>
     </tr>
    </table></p>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="footer.html">footer</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="functions.html">functions</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div align="center" style="font-size:10px;">Copyright (c) 2006, 2007, 2008, 2009, 2010, 2011, 2012 by Chris Schlaeger &lt;chris@linux.com&gt;.<a href="http://www.taskjuggler.org">TaskJuggler</a> is a trademark of Chris Schlaeger.</div>
 </body>
</html>
